--AH:ScriptId=9c36a6a5-808d-4d7c-9ab0-c5def82ad863;593

ALTER TABLE [VariableDeclarations]
  ADD [Scoped_Environment_Id] INT NULL
      CONSTRAINT [FK__VariableDeclrations__Environments]
      FOREIGN KEY ([Scoped_Environment_Id])
      REFERENCES [Environments]([Environment_Id])

GO

ALTER TABLE [VariableDeclarations] DROP CONSTRAINT [CK__VariableDeclarations__Required_Indicator__Scope_Code]
ALTER TABLE [VariableDeclarations] DROP CONSTRAINT [CK__VariableDeclarations__Scoped_Application_Id__Scope_Code]
GO

ALTER TABLE [VariableDeclarations]
	ADD CONSTRAINT [CK__VariableDeclarations__Required_Indicator__Scope_Code]
		CHECK ([Required_Indicator] = 'N' OR [Scope_Code] IN ('B', 'P', 'X'))
ALTER TABLE [VariableDeclarations]
    ADD CONSTRAINT [CK__VariableDeclarations__Scoped_Application_Id__Scope_Code]
		CHECK (([Scope_Code] IN ('X', 'P', 'B', 'R')) AND ([Scoped_Application_Id] IS NOT NULL)
			OR
			   ([Scope_Code] IN ('D', 'A', 'G', 'V', 'E', 'S') AND ([Scoped_Application_Id] IS NULL)))

UPDATE [VariableDeclarations]
   SET [Scoped_Environment_Id] = (SELECT TOP 1 [Environment_Id] FROM [Environments])
 WHERE [Scope_Code] IN ('X', 'P')

ALTER TABLE [VariableDeclarations]
    ADD CONSTRAINT [CK__VariableDeclarations__Scoped_Environment_Id__Scope_Code]
		CHECK( ([Scope_Code] IN ('X', 'P') AND [Scoped_Environment_Id] IS NOT NULL)
			OR
			   ([Scope_Code] IN ('B', 'R', 'D', 'A', 'G', 'V', 'E', 'S') AND [Scoped_Environment_Id] IS NULL) )
GO