--AH:ScriptId=2609aebb-ec23-4df7-83df-04a405a6b766;2965

CREATE TABLE [DeploymentPlanRuns]
(
    [DeploymentPlan_Id] INT NOT NULL,
    [RunContextHash_Bytes] BINARY(16) NOT NULL,
    [LastRun_Date] DATETIME NOT NULL,
    [Duration_Ticks] BIGINT NOT NULL,

    CONSTRAINT [PK__DeploymentPlanRuns] 
       PRIMARY KEY ([DeploymentPlan_Id], [RunContextHash_Bytes]),
    
    CONSTRAINT [FK__DeploymentPlanRuns__DeploymentPlans]
       FOREIGN KEY ([DeploymentPlan_Id]) 
        REFERENCES [DeploymentPlans] ([DeploymentPlan_Id])
        ON DELETE CASCADE
)
GO

ALTER TABLE [BuildExecutions]
 ADD [RunContextHash_Bytes] BINARY(16) NULL
GO