--AH:ScriptId=18d5af8a-5067-4bbe-b2b2-efadf21cb2ca;208
ALTER TABLE [BuildApprovals]
 DROP CONSTRAINT [FK__BuildApprovals__WorkflowSteps]
     ,COLUMN [Workflow_Id]
ALTER TABLE [BuildApprovals]
  ADD CONSTRAINT [FK__BuildApprovals__Environments]
      FOREIGN KEY ([Environment_Id])
      REFERENCES [Environments] ([Environment_Id])

ALTER TABLE [BuildExecutions]
 DROP CONSTRAINT [FK__BuildExecutions__BuildPromotions]
     ,COLUMN [Workflow_Id]

ALTER TABLE [BuildPromotions]
 DROP CONSTRAINT [FK__BuildPromotions__WorkflowSteps]
     ,CONSTRAINT [PK__BuildPromotions]
     ,COLUMN [Workflow_Id]

ALTER TABLE [BuildPromotions]
  ADD CONSTRAINT [FK__BuildPromotions__Environments]
      FOREIGN KEY ([Environment_Id])
      REFERENCES [Environments] ([Environment_Id])
     ,CONSTRAINT [PK__BuildPromotions]
      PRIMARY KEY ([Application_Id],[Release_Number],[Build_Number],[Environment_Id])

ALTER TABLE [BuildExecutions]
  ADD CONSTRAINT [FK__BuildExecutions__BuildPromotions]
      FOREIGN KEY ([Application_Id],[Release_Number],[Build_Number],[Environment_Id])
      REFERENCES [BuildPromotions]([Application_Id],[Release_Number],[Build_Number],[Environment_Id])
