EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_SetAllUnknown',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Set all servers to unknown status. This is intended to be used during initialization.'
GO

IF OBJECT_ID('[Servers_SetAllUnknown]') IS NOT NULL DROP PROCEDURE [Servers_SetAllUnknown]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_SetAllUnknown]
AS
BEGIN

SET NOCOUNT ON

	UPDATE [Servers]
	   SET [ServerStatus_Code] = 'UNKWN'

END
GO

GRANT EXECUTE ON [Servers_SetAllUnknown] TO [BuildMasterUser_Role]